<?php

namespace App\Http\Models;

use Illuminate\Database\Eloquent\Model;
use \App\Models;

/**
 * 代理管理模型类
 */
class AgentCash extends Model
{


    /**
     * 获取游戏url及参数
     *
     * @access public
     * @param mixed $getGameUrlWhere 查询条件
     * @return String
     */
    public function getGameUrl($getGameUrlWhere)
    {
        // 获取游戏地址数据.
        $gameUrlModel = new Models\GameUrl;
        $getGameUrlSelect = [
            'gameUrl_url',
            'gameUrl_data',
        ];
        $getGameUrl = $gameUrlModel
            ->select($getGameUrlSelect)
            ->where($getGameUrlWhere)
            ->first();

        return $getGameUrl;

    }//end getGameUrl()


}
